The Joomla! Forum ™



Forum rules


Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.



Post new topic Reply to topic  [ 18 posts ] 
Author Message
PostPosted: Tue Dec 20, 2011 2:26 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sat Mar 21, 2009 11:49 pm
Posts: 41
Hi, I was hacked a few months ago and just now getting around to getting my site back up. My backup files wouldn't work so I installed the 1.5.15 full package and got that working with my backed up sql file. Now I updated to 1.5.25 as an interim to a migration to 1.7.X.
But although I didn't get any errors and actually I don't notice a difference I notice that my version still says 1.5.15. So what did I do wrong?
inquiring minds want to know.
Thanks for any input, Bob

_________________
Joomla V2.5.9
Beeze 20 template
Domain http://www.taftprospectors.org


Top
 Profile  
 
PostPosted: Tue Dec 20, 2011 2:53 am 
User avatar
Joomla! Master
Joomla! Master

Joined: Wed Aug 13, 2008 2:57 am
Posts: 22908
Location: Chennai, India
It could be that the files were not overwritten properly. What did you do when you say that you have upgraded 1.5.15 to 1.5.25?

Check in the file version.php that is located in the directory \libraries\joomla about what version is specified.

_________________
- Ilagnayeru (MIG) Manickam
http://www.eegan.org - helping the poor and underprivileged
educate. empower. enrich.
Support the poor and underprivileged


Top
 Profile  
 
PostPosted: Tue Dec 20, 2011 9:23 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sat Mar 21, 2009 11:49 pm
Posts: 41
Thanks for your reply. I'll deck that directory. I might need to upload the files again
Bob

_________________
Joomla V2.5.9
Beeze 20 template
Domain http://www.taftprospectors.org


Top
 Profile  
 
PostPosted: Wed Dec 21, 2011 9:29 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sat Mar 21, 2009 11:49 pm
Posts: 41
Ok, I had to upload the files again and that worked. However I lost my password and had to recover that. Every thing is good

_________________
Joomla V2.5.9
Beeze 20 template
Domain http://www.taftprospectors.org


Top
 Profile  
 
PostPosted: Thu Dec 22, 2011 1:27 am 
User avatar
Joomla! Master
Joomla! Master

Joined: Wed Aug 13, 2008 2:57 am
Posts: 22908
Location: Chennai, India
Surprising to know that you had lost the password due to overwriting of the files as the password is stored in the database.

Hope you have rectified the situation. If not, review of the document http://docs.joomla.org/How_do_you_recover_your_admin_password%3F would be of help.

_________________
- Ilagnayeru (MIG) Manickam
http://www.eegan.org - helping the poor and underprivileged
educate. empower. enrich.
Support the poor and underprivileged


Top
 Profile  
 
PostPosted: Sat Dec 24, 2011 4:19 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sat Mar 21, 2009 11:49 pm
Posts: 41
Yes every thing is working fine.. Thanks for your reply Imanickam

_________________
Joomla V2.5.9
Beeze 20 template
Domain http://www.taftprospectors.org


Top
 Profile  
 
PostPosted: Tue Jan 10, 2012 8:13 pm 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Feb 21, 2010 4:38 pm
Posts: 26
Location: Wales, UK
I have just up-graded from 1.5.15 to 1.5.25 with the same result. I have up loaded the files again but the control panel and the version.php file still show 1.5.15.
Any further ideas would be appreciated.


Top
 Profile  
 
PostPosted: Wed Jan 11, 2012 1:50 am 
User avatar
Joomla! Master
Joomla! Master

Joined: Wed Aug 13, 2008 2:57 am
Posts: 22908
Location: Chennai, India
Please explain about how dd you upgrade?

_________________
- Ilagnayeru (MIG) Manickam
http://www.eegan.org - helping the poor and underprivileged
educate. empower. enrich.
Support the poor and underprivileged


Top
 Profile  
 
PostPosted: Wed Jan 11, 2012 7:41 pm 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Feb 21, 2010 4:38 pm
Posts: 26
Location: Wales, UK
I downloaded the zip file, unzipped it locally and then up-loaded the files using an FTP.


Top
 Profile  
 
PostPosted: Wed Jan 11, 2012 8:58 pm 
User avatar
Joomla! Champion
Joomla! Champion

Joined: Sat Aug 16, 2008 1:46 pm
Posts: 5915
Location: the Bat Cave
Some typical problems, your FTP program was not set to overwrite existing files, it was not set to upload in Auto mode, you accidentally uploaded to the wrong folder. If you have a folder highlighted on the right in your FTP program and you transfer from the left it may have gone into the highlighted folder rather then the folder you were viewing.

The upgrade comes with a "CHANGELOG.php" file, there should only be the one in the root of your site, if you find another one in one of your folders then you have accidentally uploaded a patch set to that folder.


Top
 Profile  
 
PostPosted: Tue Jan 17, 2012 11:33 am 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Feb 21, 2010 4:38 pm
Posts: 26
Location: Wales, UK
Thanks for your help. It would appear that the 'up-date' files, some at least, have been transferred to the wrong folders. I now need to sort that out before I try another up-date to, hopefully, the right folders.


Top
 Profile  
 
PostPosted: Mon Feb 06, 2012 10:46 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Mon Feb 06, 2012 10:23 pm
Posts: 1
I cannot find the upgrade patch for version 1.5.15 to 1.5.25 - the Joomla download other packages page doesn't go back that far....Where are people finding this?

I also cannot install any components without the error message:
JFolder::create: Could not create directory
Component Install: Failed to create directory.: "/home/virtual/site328/fst/var/www/html/components/com_jupdateman"

I am running PHP: 5.1.6 MySQL: 5.0.27 on Apache/2.2.6 (Fedora)


Top
 Profile  
 
PostPosted: Tue Feb 07, 2012 10:28 am 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Feb 21, 2010 4:38 pm
Posts: 26
Location: Wales, UK
The patch you require can be found on the download page

http://joomlacode.org/gf/download/frsre ... ackage.zip


Top
 Profile  
 
PostPosted: Sun Apr 01, 2012 4:08 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Fri Sep 05, 2008 9:10 am
Posts: 30
Am I to gather, as no one is saying it explicitly, that unlike all other past updates, we are supposed to use the '1.5.0 to 1.5.25' package to upgrade regardless of what .x version we are updating from?

Ordinarily it would have been a customized package called '1.5.15 to 1.5.25', so I think that's what most people are wondering. At least *I* am. So is the 1.5.0 package the one we are supposed to use?

Dana-Marie


Top
 Profile  
 
PostPosted: Sun Apr 01, 2012 5:02 am 
User avatar
Joomla! Master
Joomla! Master

Joined: Wed Aug 13, 2008 2:57 am
Posts: 22908
Location: Chennai, India
dana9marie wrote:
Am I to gather, as no one is saying it explicitly, that unlike all other past updates, we are supposed to use the '1.5.0 to 1.5.25' package to upgrade regardless of what .x version we are updating from?
Yes, you have to use the package Joomla_1.5.0_to_1.5.25-Stable-Patch_Package.zip for upgrading from from any version of 1.5.x to 1.5.25.

The exception could be from 1.5.24 to 1.5.25 as it has its own upgrade package - Joomla_1.5.24_to_1.5.25-Stable-Patch_Package.zip.

The reasons for this approach are:
- Force users to migrate to the next release as and when they are available
- Reduce the number of patch packages to be created
- There are no database schema changes between 1.5.0 and the latest version of 1.5.x

Be informed that the latest version of Joomla! 1.5 is 1.5.26

Review of the following documents could be of help.
- http://docs.joomla.org/What_version_of_Joomla!_should_you_use%3F
- http://docs.joomla.org/Upgrading_1.5_from_an_existing_1.5x_version

_________________
- Ilagnayeru (MIG) Manickam
http://www.eegan.org - helping the poor and underprivileged
educate. empower. enrich.
Support the poor and underprivileged


Top
 Profile  
 
PostPosted: Tue Apr 03, 2012 4:33 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Fri Sep 05, 2008 9:10 am
Posts: 30
Thank you for clarifying! :)

imanickam wrote:
dana9marie wrote:
Am I to gather, as no one is saying it explicitly, that unlike all other past updates, we are supposed to use the '1.5.0 to 1.5.25' package to upgrade regardless of what .x version we are updating from?
Yes, you have to use the package Joomla_1.5.0_to_1.5.25-Stable-Patch_Package.zip for upgrading from from any version of 1.5.x to 1.5.25.

The exception could be from 1.5.24 to 1.5.25 as it has its own upgrade package - Joomla_1.5.24_to_1.5.25-Stable-Patch_Package.zip.

The reasons for this approach are:
- Force users to migrate to the next release as and when they are available
- Reduce the number of patch packages to be created
- There are no database schema changes between 1.5.0 and the latest version of 1.5.x

Be informed that the latest version of Joomla! 1.5 is 1.5.26

Review of the following documents could be of help.
- http://docs.joomla.org/What_version_of_Joomla!_should_you_use%3F
- http://docs.joomla.org/Upgrading_1.5_from_an_existing_1.5x_version


Top
 Profile  
 
PostPosted: Fri Jun 29, 2012 5:59 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Fri Jun 29, 2012 5:53 am
Posts: 1
I am getting below error while trying to update Joomla 1.5.15 to Joomla 1.5.25.

"Error! Could not find an XML setup file in the package."

What will be the reason for this?

Thanks & Regards,
Ronit Passwala


Top
 Profile  
 
PostPosted: Fri Jun 29, 2012 11:17 am 
User avatar
Joomla! Champion
Joomla! Champion

Joined: Sat Aug 16, 2008 1:46 pm
Posts: 5915
Location: the Bat Cave
You are trying to use the Joomla Extension Manager to install a Joomla update, that doesn't work in Joomla 1.5. If you want to update Joomla from the backend try installing the Admin Tools extension for that. Here are update instructions for Joomla 1.5;
http://docs.joomla.org/Upgrading_1.5_from_an_existing_1.5x_version


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 18 posts ] 



Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group